restinio::details::max_parallel_connections_holder_t< ::restinio::connection_count_limits::noop_connection_count_limiter_t > Struct Reference

A specialization of max_parallel_connections_holder for the case when connection count isn't limited. More...

`#include <settings.hpp>`

## Public Member Functions

std::size_t | max_parallel_connections () const noexcept

## Static Public Attributes

static constexpr bool | has_actual_max_parallel_connections = false

## Detailed Description

A specialization of max_parallel_connections_holder for the case when connection count isn't limited.

Doesn't hold anything. Hasn't a setter.

The getter returns a value that means that there is no connection count limit at all.

Since
  v.0.6.12

Definition at line 519 of file settings.hpp.

## Member Function Documentation

## max_parallel_connections()

std::size_t restinio::details::max_parallel_connections_holder_t< ::restinio::connection_count_limits::noop_connection_count_limiter_t >::max_parallel_connections | ( |  | ) | const

inlinenoexcept

Definition at line 525 of file settings.hpp.

## Member Data Documentation

## has_actual_max_parallel_connections

constexpr bool restinio::details::max_parallel_connections_holder_t< ::restinio::connection_count_limits::noop_connection_count_limiter_t >::has_actual_max_parallel_connections = false

staticconstexpr

Definition at line 522 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp